slsh(1)

NAME
slsh — interperter for S-Lang scripts

SYNOPSIS

slsh [-i init-file] [-g] [-n] [-v] [--help] [--version] [-|file args]

DESCRIPTION

This manual page documents briefly the slsh command. This manual page was written for the Debian distribution because the original program does not have a manual page.

slsh is an interpreter for scripts written in the S-Lang language.

OPTIONS

--help
    Show summary of options

--version
    Show slsh version information

-g  Compile with debugging code, tracebacks, etc

-n  Don't load personal init file

-i init-file
    Use this file instead of default

-v  Show verbose loading messages

ENVIRONMENT VARIABLES

Upon startup, the program will try to load slsh.rc as follows:

If either SLSH_CONF_DIR or SLSH_LIB_DIR environment variables exist, then look in the corresponding directories for slsh.rc. Otherwise look in:

    $(prefix)/etc (specified in Makefile)

    /usr/local/etc/

    /usr/local/etc/slsh/

    /etc/

    /etc/slsh/

The slsh.rc file may load other files from slsh's library directory in the manner described below.

Once slsh.rc is loaded, slsh will load $HOME/.slshrc if present. Finally, it will load the script specified on the command line. If the name of the script is ``-'', then it will be read from stdin.

When a script loads a file via the built-in ``evalfile'' function or the ``require'' function (autoloaded by slsh.rc), the file is searched for along the SLSH_PATH as specified in the Makefile. An alternate path may be specified by the SLSH_PATH environment variable.

The search path may be queried and set during run time via set the get_lib_path and set_lib_path functions, e.g.,

set_lib_path ("/home/bill/lib/slsh:/usr/share/slsh");

SEE ALSO

Examples of S-Lang scripts can be found in /usr/share/doc/slsh/examples/.

AUTHOR

This manual page was written by Rafael Laboissiere <rafael@debian.org> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.